﻿@model  TournamentCreateEditModelStep2

@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">

        <div class="back">
            <a class="action" ui-sref='ProgramAddEditStep1({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title" ng-if="Model.SaveType == 'Draft'">
            <h1>
                Add ({{Model.Name}})
            </h1>
        </div>

        <div class="title" ng-if="Model.SaveType == 'Publish'">
            <h1>
                Edit ({{Model.Name}})
            </h1>
        </div>

        <div class="actions"></div>

        <div class="clearfix"></div>

        <hr />
    </div>

    <nav class="step-navigator breadcrumbs" ng-include src="'/Dashboard/_ProgramAddEditStepNavigation'"></nav>

    <div class="add-program-schedules">
        <div class="add-program-schedule-frame" ng-repeat="schedule in @Html.Ang(model => model.Schedules)" ng-init="scheduleIndex = $index" ng-class="{'accordion-frame': (MC.stateParams.programType == 'Class' ? false : firstCollapsed)}">

            <div class="add-program-schedule-content">

                <fieldset>
                    <legend>Tournament type</legend>
                    <span class="message">Specify the tournament type</span>

                    <div class="place-left one-half">
                        <label>Tournament type</label>

                        <div class="input-control select" data-role="input-control">
                            <select ng-model="Model.TournamentType" ng-options="obj.Value as obj.Text for obj in Model.TournamentTypes"></select>
                        </div>
                    </div>
                </fieldset>

                <fieldset ng-show="Model.TournamentType == 'Scholastic'">
                    <legend>Tournament trophies</legend>
                    <span class="message">Describe the trophies are going to award to the winners.</span>

                    <label for="">Trophies</label>
                    <div class="input-control textarea" @Html.AngValidationClassFor(model => model.Trophies)>
                        <textarea @Html.AngTooltipValidationFor(model => model.Trophies) ng-model="@Html.Ang(model => model.Trophies)"></textarea>
                    </div>
                </fieldset>

                <fieldset ng-show="Model.TournamentType == 'Cash'">
                    <legend>Prize fund</legend>
                    <span class="message">Specify the prize fund</span>

                    <div class="tuition">
                        <div class="one-half place-left padding-right20">
                            <label for="">Prize fund</label>
                            <div class="input-control text" @Html.AngValidationClassFor(model => model.PrizeFund)>
                                <input @Html.AngTooltipValidationFor(model => model.PrizeFund) ng-model="@Html.Ang(model => model.PrizeFund)" />
                            </div>
                        </div>

                        <div class="one-half place-left">
                            <label for="">Number of full entries</label>
                            <div class="input-control text" @Html.AngValidationClassFor(model => model.FullEntries)>
                                <input @Html.AngTooltipValidationFor(model => model.FullEntries) ng-model="@Html.Ang(model => model.FullEntries)" />
                            </div>
                        </div>

                        <div class="full-width">
                            <label for="">Prize fund guarantee</label>
                            <div class="input-control text" @Html.AngValidationClassFor(model => model.PrizeFundGuarantee)>
                                <input @Html.AngTooltipValidationFor(model => model.PrizeFundGuarantee) ng-model="@Html.Ang(model => model.PrizeFundGuarantee)" />
                            </div>
                        </div>
                    </div>

                </fieldset>

                <fieldset>
                    <legend>Tournament sections?</legend>
                    <span class="message">
                        A chess tournament has one or more sections to divide players into groups of competitive players. Describe all the sections below.
                    </span>

                    <div class="tuition" ng-repeat="tourneySection in Model.TourneySections" ng-init="tourneySectionIndex = $index">

                        <div class="place-left one-half padding-right20">
                            <label class="req-star">Section name</label>
                            <div class="input-control text" data-role="input-control" @Html.AngValidationClass("TourneySections['+tourneySectionIndex+'].Name")>
                                <input ng-model="Model.TourneySections[tourneySectionIndex].Name" type="text" @Html.AngTooltipValidation("TourneySections['+tourneySectionIndex+'].Name") placeholder="e.g. Open" />
                            </div>
                        </div>

                        <div class="place-left one-half padding-right20">
                            <label>Section rating</label>
                            <div class="input-control text" data-role="input-control" @Html.AngValidationClass("TourneySections['+tourneySectionIndex+'].Rating")>
                                <input ng-model="Model.TourneySections[tourneySectionIndex].Rating" type="text" @Html.AngTooltipValidation("TourneySections['+tourneySectionIndex+'].Rating") placeholder="e.g. 2200+" />
                            </div>
                        </div>

                        <div class="place-left one-half padding-right20">
                            <label>Section prize</label>
                            <div class="input-control text" data-role="input-control" @Html.AngValidationClass("TourneySections['+tourneySectionIndex+'].Prize")>
                                <input ng-model="Model.TourneySections[tourneySectionIndex].Prize" type="text" @Html.AngTooltipValidation("TourneySections['+tourneySectionIndex+'].Prize") />
                            </div>
                        </div>

                        <div class="place-left one-fifth text-right" ng-hide="$first && $last">
                            <button class="remove" ng-click="removeSection(tourneySectionIndex)"><i class="jbi-remove"></i></button>
                        </div>

                        <div class="clearfix"></div>
                        <hr ng-if="!$last" />
                    </div>

                    <div class="clearfix"></div>
                    <button class="place-right default" type="button" ng-click="addSection()">Add Section</button>
                    <div class="clearfix"></div>

                </fieldset>

                <fieldset>
                    <legend>Tournament schedules?</legend>
                    <span class="message">
                        A chess tournament has one or more schedules, for example a 2-day schedule and a 3-day schedule. You need to define at least one schedule for your tournament.
                    </span>

                    <div class="tuition" ng-repeat="tourneySchedule in Model.TourneySchedules" ng-init="tourneyScheduleIndex = $index">

                        <div class="place-left one-half padding-right20">
                            <label class="req-star">Start date</label>
                            <div class="input-control date-time" @Html.AngValidationClass("TourneySchedules['+tourneyScheduleIndex+'].StartDate")>
                                <div @Html.AngTooltipValidation("TourneySchedules['+tourneyScheduleIndex+'].StartDate")>
                                    <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="Model.TourneySchedules[tourneyScheduleIndex].StartDate" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                                </div>
                            </div>
                        </div>

                        <div class="place-left one-half padding-right20">
                            <label class="req-star">End date</label>
                            <div class="input-control date-time" @Html.AngValidationClass("TourneySchedules['+tourneyScheduleIndex+'].EndDate")>
                                <div @Html.AngTooltipValidation("TourneySchedules['+tourneyScheduleIndex+'].EndDate")>
                                    <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="Model.TourneySchedules[tourneyScheduleIndex].EndDate" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                                </div>
                            </div>
                        </div>

                        <div class="place-left one-half padding-right20">
                            <label>Schedule name</label>
                            <div class="input-control text" data-role="input-control" @Html.AngValidationClass("TourneySchedules['+tourneyScheduleIndex+'].Label")>
                                <input ng-model="Model.TourneySchedules[tourneyScheduleIndex].Label" type="text" @Html.AngTooltipValidation("TourneySchedules['+tourneyScheduleIndex+'].Label") />
                            </div>

                        </div>

                        <div class="place-left one-fifth text-right" ng-hide="$first && $last">
                            <button class="remove" ng-click="removeSchedule(tourneyScheduleIndex)"><i class="jbi-remove"></i></button>
                        </div>

                        <div class="clearfix"></div>
                        <hr ng-if="!$last" />
                    </div>

                    <div class="clearfix"></div>
                    <button class="place-right default" type="button" ng-click="addSchedule()">Add Schedule</button>
                    <div class="clearfix"></div>
                </fieldset>

                <fieldset>
                    <legend>Can players ask for 1/2 point byes?</legend>
                    <span class="message">
                        Chess tournaments usually allow players to skip a round and receive 1/2 point. Set up all the byes for your tournament to enable players ask for byes during the registration.
                    </span>

                    <div class="one-half place-left padding-right20">
                        <label for="">Max of byes</label>
                        <div class="input-control text" @Html.AngValidationClassFor(model => model.MaxOfByes)>
                            <input @Html.AngTooltipValidationFor(model => model.MaxOfByes) ng-model="@Html.Ang(model => model.MaxOfByes)" placeholder="e.g. 3" />
                        </div>
                    </div>

                    <div class="one-half place-left padding-right20">
                        <label for="">Last round to request a bye</label>
                        <div class="input-control text" @Html.AngValidationClassFor(model => model.LastRoundBye)>
                            <input @Html.AngTooltipValidationFor(model => model.LastRoundBye) ng-model="@Html.Ang(model => model.LastRoundBye)" placeholder="e.g. 4" />
                        </div>
                    </div>

                    <div class="one-half place-left padding-right20">
                        <label for="">Number of rounds in tourney</label>
                        <div class="input-control text" @Html.AngValidationClassFor(model => model.NumberOfRounds)>
                            <input @Html.AngTooltipValidationFor(model => model.NumberOfRounds) ng-model="@Html.Ang(model => model.NumberOfRounds)" placeholder="e.g. 5" />
                        </div>
                    </div>

                    <div class="one-half place-left padding-right20">
                        <label for="">Bye note</label>
                        <div class="input-control text" @Html.AngValidationClassFor(model => model.ByeNote)>
                            <input @Html.AngTooltipValidationFor(model => model.ByeNote) ng-model="@Html.Ang(model => model.ByeNote)" placeholder="e.g No bye request permitted for the last round" />
                        </div>
                    </div>

                </fieldset>

                <fieldset>
                    <legend>Registration period</legend>
                    <span class="message">You can specify the date users can start registering for this program and the date the regisration period closes.</span>
                    <div class="one-half place-left" style="padding-right: 20px">
                        <label class="req-star" for="">Registration starts on</label>
                        <div class="input-control date-time" @Html.AngValidationClass("Schedules['+scheduleIndex+'].RegistrationPeriod.RegisterStartDate")>
                            <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].RegistrationPeriod.RegisterStartDate")>
                                <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="Model.Schedules[scheduleIndex].RegistrationPeriod.RegisterStartDate" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                            </div>
                        </div>
                        <p class="info font italic">Registration will open at 00:01 AM on this day</p>
                    </div>
                    <div class="one-half place-left">
                        <label class="req-star" for="">and ends on</label>
                        <div class="input-control date-time" @Html.AngValidationClass("Schedules['+scheduleIndex+'].RegistrationPeriod.RegisterEndDate")>
                            <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].RegistrationPeriod.RegisterEndDate")>
                                <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="Model.Schedules[scheduleIndex].RegistrationPeriod.RegisterEndDate" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                            </div>
                        </div>
                        <p class="info font italic">Registration will close at 11:59 PM this day</p>
                    </div>
                </fieldset>

                <fieldset ng-if="@Html.Ang(model => model.TypeCategory)=='@ProgramTypeCategory.Class'">
                    <legend>Program capacity</legend>
                    <span class="message">Total capacity of class</span>
                    <div class="place-left one-half">
                        <div class="input-control select" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Capacity")>
                            <select ng-model="schedule.Capacity" ng-options="obj.Value as obj.Text for obj in Model.Capacities" @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Capacity")></select>
                        </div>
                    </div>

                </fieldset>

                <fieldset>
                    <legend>Entry fees</legend>
                    <span class="message">A Tournament has one or more entry fees, for example "beginner level fees" and "advanced level fees". Entry fee is the amount that users pay to register for a particular tuition label.</span>

                    <div class="tuition" ng-repeat="tuition in schedule.Tuitions" ng-init="tuitionIndex = $index">

                        <div class="place-left one-half padding-right20">
                            <label class="req-star">Fee label</label>
                            <div class="input-control text" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].Label")>
                                <input ng-model="Model.Schedules[scheduleIndex].Tuitions[tuitionIndex].Label" placeholder="e.g. Intermediate chess" type="text" value="All sessions" @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].Label") />
                            </div>
                        </div>

                        <div class="place-left one-half">
                            <div class="place-left one-half padding-right20">
                                <label class="req-star">Price</label>
                                <div class="input-control text price" data-sign="$" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].Price")>
                                    <input ng-model="Model.Schedules[scheduleIndex].Tuitions[tuitionIndex].Price" type="text" @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].Price") />
                                </div>
                                @*</div>*@
                            </div>

                            <div class="place-left one-half">
                                <div ng-class="{'place-left four-fifth': !($first && $last)}">
                                    <label>Capacity</label>
                                    <div class="input-control select" data-role="input-control">
                                        <select ng-model="tuition.Capacity" ng-options="obj.Value as obj.Text for obj in Model.Capacities"></select>
                                    </div>
                                </div>
                                <div class="place-left one-fifth text-right" ng-hide="$first && $last">
                                    <button class="remove" ng-click="removeTo(schedule, $index)" title="Remove tuition option"><i class="jbi-remove"></i></button>
                                </div>
                            </div>

                        </div>

                        <div class="place-left one-half padding-right20 margin-top20">
                            <div class="input-control checkbox" data-role="input-control">
                                <label>
                                    <input ng-change="changeEB(tuition)" ng-model="tuition.HasEarlyBird" type="checkbox">
                                    <span class="check"></span>
                                    Do you have early bird discount?
                                </label>
                            </div>
                        </div>

                        <div class="place-left one-half earlybird-discounts">
                            <div ng-repeat="earlybird in tuition.EarlyBirds" ng-init="ebIndex = $index" ng-show="tuition.HasEarlyBird">
                                <div class="place-left one-half padding-right20">
                                    <label>Will expire on</label>
                                    <div class="input-control date-time" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].EarlyBirds['+ebIndex+'].ExpireDate")>
                                        <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].EarlyBirds['+ebIndex+'].ExpireDate")>
                                            <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="Model.Schedules[scheduleIndex].Tuitions[tuitionIndex].EarlyBirds[ebIndex].ExpireDate" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                                        </div>
                                    </div>
                                </div>
                                <div class="place-left one-half">
                                    <div class="place-left four-fifth">
                                        <label>Early bird price</label>
                                        <div class="input-control text price" data-sign="$" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].EarlyBirds['+ebIndex+'].Price")>
                                            <input ng-model="earlybird.Price" type="text" @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].EarlyBirds['+ebIndex+'].Price") />
                                        </div>
                                    </div>
                                    <div class="place-left one-fifth text-right" ng-hide="$first && $last">
                                        <button class="remove" ng-click="removeEB(tuition, $index)" title="Remove earlybird discount"><i class="jbi-remove"></i></button>
                                    </div>
                                    <div class="place-left one-fifth text-right" ng-show="$first && $last">
                                        <button class="remove" ng-click="removeEB(tuition, $index)" title="Remove earlybird discount"><i class="jbi-remove"></i></button>
                                    </div>
                                </div>

                            </div>
                            <div ng-show="tuition.HasEarlyBird">
                                <button class="place-right small margin-bottom20" type="button" ng-click="addEB(tuition)">Add early bird price</button>
                                <div class="clearfix"></div>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                        <hr ng-if="!$last" />
                        <div class="clearfix"></div>
                    </div>
                    <div class="clearfix"></div>
                    <button class="place-right default" type="button" ng-click="addTo(schedule, 5)">Add tuition option</button>
                    <div class="clearfix"></div>
                </fieldset>

                <fieldset>
                    <legend>Extra services</legend>
                    <span class="message">You can specify all the other services that you provide with this program and their pricing. When users enroll for a program, they have the option of choosing for any of these services.</span>

                    <div class="padding-bottom20" ng-repeat="charge in schedule.Charges" ng-init="chargeIndex = $index">
                        <div class="place-left one-half padding-right20">
                            <label class="req-star" ng-if="charge.Category == 'CustomCharge'">Custom label</label>
                            <label class="req-star" ng-if="charge.Category == 'DayCare'">Daycare label</label>
                            <label class="req-star" ng-if="charge.Category == 'Lunch'">Lunch label</label>
                            <div class="input-control text" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Charges['+chargeIndex+'].Label")>
                                <input ng-if="charge.Category == 'CustomCharge'" ng-model="Model.Schedules[scheduleIndex].Charges[chargeIndex].Label" @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Charges['+chargeIndex+'].Label") type="text" value="All sessions" />
                                <input ng-if="charge.Category == 'Lunch'" placeholder="e.g. lunch snack" ng-model="Model.Schedules[scheduleIndex].Charges[chargeIndex].Label" @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Charges['+chargeIndex+'].Label") type="text" value="All sessions" />
                                <input ng-if="charge.Category == 'DayCare'" placeholder="e.g Afternoon daycare" ng-model="Model.Schedules[scheduleIndex].Charges[chargeIndex].Label" @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Charges['+chargeIndex+'].Label") type="text" value="All sessions" />
                            </div>
                        </div>
                        <div class="place-left one-half">
                            <div class="one-half place-left padding-right20">
                                <label class="req-star">Price</label>
                                <div class="input-control text price" data-sign="$" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Charges['+chargeIndex+'].Price")>
                                    <input ng-model="Model.Schedules[scheduleIndex].Charges[chargeIndex].Price" type="text" @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Charges['+chargeIndex+'].Price") />
                                </div>
                            </div>
                            <div class="place-right">
                                <button class="remove" ng-click="removeCharge(schedule, $index)"><i class="jbi-remove"></i></button>
                            </div>
                        </div>

                        <div ng-show="charge.ShowAdvancedOptions">
                            <div class="place-left one-half padding-right20">
                                <label>Capacity</label>
                                <div class="input-control select" data-role="input-control">
                                    <select ng-model="charge.Capacity" ng-options="obj.Value as obj.Text for obj in Model.Capacities"></select>
                                </div>
                            </div>
                            <div class="place-left one-half">
                                <label>Description</label>
                                <div class="input-control text" data-role="input-control">
                                    <input ng-if="charge.Category == 'Lunch'" placeholder="e.g. We will serve Chinese lunch from 12pm to 1pm" ng-model="charge.Description" type="text" />
                                    <input ng-if="charge.Category == 'CustomCharge'" ng-model="charge.Description" type="text" />
                                    <input ng-if="charge.Category == 'DayCare'" placeholder="e.g. morning daycare starts from 8am to 9 am" ng-model="charge.Description" type="text" />
                                </div>
                            </div>
                            <div class="place-left one-half padding-right20">
                                <div ng-show="charge.Category == 'DayCare'">
                                    <label>Start time</label>
                                    <div class="input-control date-time" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Charges['+chargeIndex+'].StartTime")>
                                        <input @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Charges['+chargeIndex+'].StartTime") ng-model="charge.StartTime" k-options="MC.timePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker type="text" />
                                    </div>
                                </div>
                            </div>
                            <div class="place-left one-half">
                                <div ng-show="charge.Category == 'DayCare'">
                                    <label>End time</label>
                                    <div class="input-control date-time">
                                        <input ng-model="charge.EndTime" k-options="MC.timePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker type="text" />
                                    </div>
                                </div>
                            </div>

                            <div class="place-left one-half padding-right20 margin-top20">
                                <div class="input-control checkbox" data-role="input-control">
                                    <label>
                                        <input ng-model="charge.IsMandatory" type="checkbox">
                                        <span class="check"></span>
                                        Apply this charge automatically when a tuition label is checked.
                                    </label>
                                </div>
                            </div>

                        </div>

                        <div class="place-right one-half">
                            <button ng-hide="charge.ShowAdvancedOptions" class="place-right small" type="button" ng-click="showHideChargeOptions(charge)">Advanced options</button>
                        </div>

                        <div class="place-right one-half">
                            <button ng-show="charge.ShowAdvancedOptions" class="place-right small" type="button" ng-click="showHideChargeOptions(charge)">Hide advanced options</button>
                        </div>

                        <div class="clearfix"></div>
                        <hr ng-if="!$last" />
                        <div class="clearfix"></div>
                    </div>

                    <div class="button-dropdown place-right" ng-init="initDropDown()">
                        <button class="dropdown-toggle default">Add extra charge</button>
                        <ul class="dropdown-menu charges" data-role="dropdown" style="right: 0px;min-width: 146px;">
                            <li ng-click="addCharge(schedule, 'Lunch')"><a class="jbi-lunch">Lunch</a></li>
                            <li ng-click="addCharge(schedule, 'CustomCharge')"><a class="jbi-coins">Custom</a></li>
                        </ul>
                    </div>

                </fieldset>

                <fieldset>
                    <legend>Participant restriction</legend>
                    <span class="message">You can qualify people who can register for your program based on their gender, age, and grade. The system will prevent users from registering for the program if they do not meet all the requirements.</span>

                    <div class="place-left one-half padding-right20">

                        <label>Gender</label>

                        <div class="input-control select" data-role="input-control">
                            <select ng-model="schedule.SelectedGender" ng-options="obj.Value as obj.Text for obj in schedule.GenderItems"></select>
                        </div>
                    </div>

                    <div class="place-left one-half">
                        <label>Age/grade restrictions</label>

                        <div class="input-control select" data-role="input-control">
                            <select ng-model="schedule.SelectedRestrictionType" ng-options="obj.Value as obj.Text for obj in schedule.RestrictionTypes"></select>
                        </div>

                        <div ng-if="schedule.SelectedRestrictionType == '@RestrictionType.Age'">
                            <div class="place-left one-half" style="padding-right: 20px">
                                <label>Min age</label>
                                <div class="input-control select" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].SelectedMinAge")>
                                    <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].SelectedMinAge")>
                                        <select ng-model="schedule.SelectedMinAge" ng-options="obj.Value as obj.Text for obj in Model.Ages"></select>
                                    </div>
                                </div>
                            </div>
                            <div class="place-left one-half">
                                <label>Max age</label>
                                <div class="input-control select" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].SelectedMaxAge")>
                                    <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].SelectedMaxAge")>
                                        <select ng-model="schedule.SelectedMaxAge" ng-options="obj.Value as obj.Text for obj in Model.Ages"></select>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div ng-if="schedule.SelectedRestrictionType == '@RestrictionType.Grade'">
                            <div class="place-left one-half" style="padding-right: 20px">
                                <label>Min grade</label>
                                <div class="input-control select" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].SelectedMinGrade")>
                                    <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].SelectedMinGrade")>
                                        <select ng-model="schedule.SelectedMinGrade" ng-options="obj.Value as obj.Text for obj in schedule.Grades"></select>
                                    </div>
                                </div>
                            </div>
                            <div class="place-left one-half">
                                <label>Max grade</label>
                                <div class="input-control select" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].SelectedMaxGrade")>
                                    <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].SelectedMaxGrade")>
                                        <select ng-model="schedule.SelectedMaxGrade" ng-options="obj.Value as obj.Text for obj in schedule.Grades"></select>
                                    </div>
                                </div>
                            </div>

                        </div>
                        <div ng-if="schedule.SelectedRestrictionType == '@RestrictionType.Grade' || schedule.SelectedRestrictionType == '@RestrictionType.Age'">
                            <label class="req-star">The restriction applies</label>
                            <div class="input-control radio">
                                <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
                                    <label class="block">
                                        <input ng-model="schedule.AppliesRestrictionAtTheProgramStart" name="AppliesRestrictionAtTheProgramStart" ng-value="false" type="radio" />
                                        <span class="check"></span>
                                        At the registration time
                                    </label>
                                </div>
                                <div class="input-control radio default-style place-left  no-margin padding-left20" data-role="input-control">
                                    <label class="block">
                                        <input ng-model="schedule.AppliesRestrictionAtTheProgramStart" name="AppliesRestrictionAtTheProgramStart" ng-value="true" type="radio" />
                                        <span class="check"></span>
                                        At the program start time
                                    </label>
                                </div>
                            </div>
                        </div>
                    </div>
                </fieldset>

                
                <fieldset ng-hide="Model.TournamentType == 'Team'">
                    <legend>Registration page</legend>
                    <span class="message">By default, users can click on the view entries button in the registration page to see the list of people who have already registered in the tournament.</span>

                    <div class="place-left one-half">
                        
                        <div class="input-control checkbox" data-role="input-control">
                            <label>
                                <input ng-model="@Html.Ang(model => model.HideViewEntries)" ng-true-value="true" type="checkbox">
                                <span class="check"></span>
                                Hide the view entries button
                            </label>
                        </div>
                    </div>
                </fieldset>

            </div>
        </div>
    </div>

    <hr />

    <a class="place-left button link large" ui-sref='ProgramAddEditStep1({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>Back</a>

    <a class="success place-right button large" ng-click="saveStep2()" ng-show="(Model.TypeCategory != '@ProgramTypeCategory.Camp') ? true : firstCollapsed">Save & continue</a>
    <div class="clearfix"></div>
</div>